sqoop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mau...@apache.org
Subject sqoop git commit: SQOOP-3051:Remove all old profiles, configurations from build.xml and ivy.xml and consolidate them to a single working one
Date Thu, 08 Dec 2016 12:28:10 GMT
Repository: sqoop
Updated Branches:
  refs/heads/trunk 642b41a9e -> 44e05df21


SQOOP-3051:Remove all old profiles, configurations
 from build.xml and ivy.xml and consolidate them
to a single working one

(Anna Szonyi via Attila Szabo)


Project: http://git-wip-us.apache.org/repos/asf/sqoop/repo
Commit: http://git-wip-us.apache.org/repos/asf/sqoop/commit/44e05df2
Tree: http://git-wip-us.apache.org/repos/asf/sqoop/tree/44e05df2
Diff: http://git-wip-us.apache.org/repos/asf/sqoop/diff/44e05df2

Branch: refs/heads/trunk
Commit: 44e05df21520d3f7cf7b21fab0fd1b97fe48a774
Parents: 642b41a
Author: Attila Szabo <maugli@apache.org>
Authored: Thu Dec 8 13:24:52 2016 +0100
Committer: Attila Szabo <maugli@apache.org>
Committed: Thu Dec 8 13:24:52 2016 +0100

----------------------------------------------------------------------
 build.xml                | 200 +++---------------------------------------
 ivy.xml                  | 184 ++++++--------------------------------
 ivy/ivysettings.xml      |   6 +-
 ivy/libraries.properties |   9 +-
 4 files changed, 50 insertions(+), 349 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/sqoop/blob/44e05df2/build.xml
----------------------------------------------------------------------
diff --git a/build.xml b/build.xml
index 3484d74..73db28b 100644
--- a/build.xml
+++ b/build.xml
@@ -31,183 +31,6 @@
     </classpath>
   </taskdef>
 
-  <!-- Set default Hadoop version if not set -->
-  <if>
-    <isset property="hadoopversion" />
-    <then>
-      <echo message="Use Hadoop ${hadoopversion}" />
-    </then>
-    <else>
-      <echo message="Use Hadoop 2.x by default" />
-      <property name="hadoopversion" value="200" />
-    </else>
-  </if>
-
-  <!--
-    Set default HCatalog profile if not set
-
-    In Hive 0.12, the HCatalog artifcacts moved from org.apache.hcatalog
-    to org.apache.hive.hcatalog.   With the advent of hive 0.14, the older
-    hcatalog interfaces used by Sqoop are being removed.  So, we are upgrading
-    the hcatalog version to 0.13.   This will allow as to support the hcatalog
-    features in terms of datatype parity.
-
-    hcatalog 0.13 will be the default for now.
-
-  -->
-  <if>
-    <isset property="hcatprofile" />
-    <then>
-      <if>
-        <or>
-          <equals arg1="${hcatprofile}" arg2="13" />
-        </or>
-        <then>
-          <echo message="Using HCatalog profile ${hcatprofile}" />
-        </then>
-        <else>
-          <fail message="Invalid value for hcatprofile" />
-        </else>
-      </if>
-    </then>
-    <else>
-      <echo message="Using HCatalog profile 0.13" />
-      <property name="hcatprofile" value="13" />
-    </else>
-  </if>
-
-  <!--
-    Set default Accumulo version
-
-    We use 1.5.0 by default if not specified.
-  -->
-  <if>
-    <isset property="accumulo.version" />
-    <then>
-      <echo message="Use Accumulo version ${accumulo.version}" />
-    </then>
-    <else>
-      <echo message="Using Accumulo profile 1.5.0 by default" />
-      <property name="accumulo.version" value="1.5.0" />
-    </else>
-  </if>
-  <!--
-    Set default HBase profile if not set
-
-    HBase 0.95 has broken one big monolithic archive into smaller pieces, so
-    that the build dependencies are different between HBase 0.94 and 0.95.
-    In addition, HBase since 0.95 is providing artifacts compatible with Hadoop 2.0.
-
-    For HBase 0.95 on Hadoop 2.0.0:
-    ant -Dhadoopversion=200 -Dhbaseprofile=95
-
-    For HBase 0.95 on Hadoop 1.0.0:
-    ant -Dhadoopversion=100 -Dhbaseprofile=95
-
-    For HBase 0.94 on Hadoop 1.0.0:
-    ant -Dhadoopversion=100
-
-    For HBase 0.94 on Hadoop 2.0.0:
-    - upstream HBase did not published Hadoop 2 compatible artifacts
-  -->
-  <if>
-    <isset property="hbaseprofile" />
-    <then>
-      <echo message="Use HBase profile ${hbaseprofile}" />
-    </then>
-    <else>
-      <echo message="Use HBase profile 0.94 by default" />
-      <property name="hbaseprofile" value="94" />
-    </else>
-  </if>
-
-	<!-- Set dependency versions per target Hadoop version -->
-  <if>
-    <equals arg1="${hadoopversion}" arg2="20" />
-    <then>
-      <property name="hadoop.version" value="0.20.2-cdh3u5" />
-      <property name="hbase94.version" value="0.90.6-cdh3u5" />
-      <property name="zookeeper.version" value="3.3.3-cdh3u5" />
-      <property name="hadoop.version.full" value="0.20" />
-      <property name="hcatalog.version" value="0.13.0" />
-      <property name="hbasecompatprofile" value="1" />
-      <property name="avrohadoopprofile" value="1" />
-    </then>
-
-    <elseif>
-      <equals arg1="${hadoopversion}" arg2="23" />
-      <then>
-        <property name="hadoop.version" value="0.23.1" />
-        <property name="hbase94.version" value="0.92.0" />
-        <property name="zookeeper.version" value="3.4.2" />
-        <property name="hadoop.version.full" value="0.23" />
-        <property name="hcatalog.version" value="0.13.0" />
-        <property name="hbasecompatprofile" value="2" />
-        <property name="avrohadoopprofile" value="2" />
-      </then>
-    </elseif>
-
-    <elseif>
-      <equals arg1="${hadoopversion}" arg2="100" />
-      <then>
-        <property name="hadoop.version" value="1.0.4" />
-        <property name="hbase94.version" value="0.92.0" />
-        <property name="zookeeper.version" value="3.4.2" />
-        <property name="hadoop.version.full" value="1.0.0" />
-        <property name="hcatalog.version" value="0.13.0" />
-        <property name="hbasecompatprofile" value="1" />
-        <property name="avrohadoopprofile" value="1" />
-      </then>
-    </elseif>
-
-    <elseif>
-      <equals arg1="${hadoopversion}" arg2="200" />
-      <then>
-        <property name="hadoop.version" value="2.0.4-alpha" />
-        <property name="hbase94.version" value="0.94.2" />
-        <property name="zookeeper.version" value="3.4.2" />
-        <property name="hadoop.version.full" value="2.0.4-alpha" />
-        <property name="hcatalog.version" value="0.13.0" />
-        <property name="hbasecompatprofile" value="2" />
-        <property name="avrohadoopprofile" value="2" />
-      </then>
-    </elseif>
-
-    <elseif>
-      <equals arg1="${hadoopversion}" arg2="210" />
-      <then>
-        <property name="hadoop.version" value="2.1.0-beta" />
-        <property name="hbase94.version" value="0.94.2" />
-        <property name="zookeeper.version" value="3.4.2" />
-        <property name="hadoop.version.full" value="2.1.0-beta" />
-        <property name="hcatalog.version" value="0.13.0" />
-        <property name="hbasecompatprofile" value="2" />
-        <property name="avrohadoopprofile" value="2" />
-      </then>
-    </elseif>
-
-    <!-- hadoopversion 260 is created for testing purposes only. Do not use it in production!
-->
-    <elseif>
-      <equals arg1="${hadoopversion}" arg2="260" />
-      <then>
-        <property name="hadoop.version" value="2.6.0" />
-        <property name="hbase95.version" value="1.2.0" />
-        <property name="zookeeper.version" value="3.4.5" />
-        <property name="hadoop.version.full" value="2.6.0" />
-        <property name="hcatalog.version" value="1.2.0" />
-        <property name="hbasecompatprofile" value="2" />
-        <property name="avrohadoopprofile" value="2" />
-      </then>
-    </elseif>
-
-    <else>
-      <fail message="Unrecognized hadoopversion. Can only be 20, 23, 100, 200 or 210."
/>
-    </else>
-  </if>
-
-  <!-- Set dependency versions that are working with all Hadoop versions-->
-  <property name="hbase95.version" value="0.95.2-hadoop${hbasecompatprofile}-SNAPSHOT"
/>
-
   <!-- Load system-wide and project-wide default properties set by
        the user, to avoid needing to override with -D. -->
   <property file="${user.home}/build.properties" />
@@ -219,6 +42,10 @@
   <property name="Name" value="Sqoop" />
   <property name="version" value="1.4.7-SNAPSHOT" />
 
+  <!-- Ivy library properties -->
+  <property name="ivy.dir" location="${basedir}/ivy" />
+  <loadproperties srcfile="${ivy.dir}/libraries.properties"/>
+
   <!-- The last version released. -->
   <property name="oldversion" value="1.4.6" />
   <!-- The point when we branched for the previous release. -->
@@ -277,7 +104,7 @@
   <property name="relnotes.filename"
       location="${build.relnotes.dir}/sqoop-${version}.releasenotes.html" />
 
-  <property name="bin.artifact.name" value="${artifact.name}.bin__hadoop-${hadoop.version.full}"
/>
+  <property name="bin.artifact.name" value="${artifact.name}.bin__hadoop-${hadoop.version}"
/>
   <property name="dist.dir" location="${build.dir}/${bin.artifact.name}" />
   <property name="tar.file" location="${build.dir}/${bin.artifact.name}.tar.gz" />
   <property name="build.docs.timestamp"
@@ -340,11 +167,6 @@
     -->
   <property name="sqoop.thirdparty.lib.dir" value="" />
 
-
-  <!-- Ivy library properties -->
-  <property name="ivy.dir" location="${basedir}/ivy" />
-  <loadproperties srcfile="${ivy.dir}/libraries.properties"/>
-
   <!-- Ivy-based dependency resolution -->
   <property name="ivysettings.xml" location="${ivy.dir}/ivysettings.xml"/>
   <property name="ivy.jar" location="${lib.dir}/ivy-${ivy.version}.jar"/>
@@ -1464,28 +1286,28 @@
   <!-- retrieve ivy-managed artifacts from the Hadoop distribution -->
   <target name="ivy-resolve-hadoop" depends="ivy-init"
       unless="hadoop.is.local">
-    <ivy:resolve settingsRef="${name}.ivy.settings" conf="hadoop${hadoopversion}" />
+    <ivy:resolve settingsRef="${name}.ivy.settings" conf="common" />
   </target>
   <target name="ivy-retrieve-hadoop" depends="ivy-init,ivy-resolve-hadoop">
     <!-- retrieve hadoop refs normally. -->
     <ivy:retrieve settingsRef="${name}.ivy.settings"
        pattern="${build.ivy.lib.dir}/${ivy.artifact.retrieve.pattern}"
        sync="true" />
-    <ivy:cachepath pathid="${name}.hadoop.classpath" conf="hadoop${hadoopversion}" />
+    <ivy:cachepath pathid="${name}.hadoop.classpath" conf="common" />
   </target>
 
   <!-- retrieve ivy-managed test artifacts from the Hadoop distribution -->
   <target name="ivy-resolve-hadoop-test" depends="ivy-init"
       unless="hadoop.is.local">
-    <ivy:resolve settingsRef="${name}.ivy.settings" conf="hadoop${hadoopversion}test"
/>
+    <ivy:resolve settingsRef="${name}.ivy.settings" conf="test" />
   </target>
   <target name="ivy-retrieve-hadoop-test"
       depends="ivy-init,ivy-resolve-hadoop-test">
-        <ivy:retrieve settingsRef="${name}.ivy.settings"
+    <ivy:retrieve settingsRef="${name}.ivy.settings"
           pattern="${build.ivy.lib.dir}/${ivy.artifact.retrieve.pattern}"
           sync="true" />
-        <ivy:cachepath pathid="${name}.hadooptest.classpath"
-          conf="hadoop${hadoopversion}test" />
+    <ivy:cachepath pathid="${name}.hadooptest.classpath"
+          conf="test" />
   </target>
 
   <!-- retrieve ivy-managed artifacts for checkstyle -->

http://git-wip-us.apache.org/repos/asf/sqoop/blob/44e05df2/ivy.xml
----------------------------------------------------------------------
diff --git a/ivy.xml b/ivy.xml
index ee1dafa..e4b45bf 100644
--- a/ivy.xml
+++ b/ivy.xml
@@ -36,35 +36,8 @@ under the License.
     <conf name="common" visibility="private"
       extends="runtime"
       description="artifacts needed to compile/test the application"/>
-    <conf name="accumulo" visibility="private" />
-    <conf name="hbase94" visibility="private" />
-    <conf name="hbase95" visibility="private" extends="hbasecompat${hbasecompatprofile}"
/>
-    <conf name="hbasecompat1" visibility="private" />
-    <conf name="hbasecompat2" visibility="private" />
-    <conf name="avro" visibility="private" extends="avrohadoop${avrohadoopprofile}" />
-    <conf name="avrohadoop1" visibility="private" />
-    <conf name="avrohadoop2" visibility="private" />
-    <conf name="hcatalog13" visibility="private" />
-    <conf name="hadoop23" visibility="private"
-      extends="common,runtime,avro,hbase${hbaseprofile},hcatalog${hcatprofile},accumulo"
/>
-    <conf name="hadoop20" visibility="private"
-      extends="common,runtime,avro,hbase${hbaseprofile},hcatalog${hcatprofile},accumulo"
/>
-    <conf name="hadoop100" visibility="private"
-      extends="common,runtime,avro,hbase${hbaseprofile},hcatalog${hcatprofile},accumulo"
/>
-    <conf name="hadoop200" visibility="private"
-      extends="common,runtime,avro,hbase${hbaseprofile},hcatalog${hcatprofile},accumulo"
/>
-    <conf name="hadoop210" visibility="private"
-      extends="common,runtime,avro,hbase${hbaseprofile},hcatalog${hcatprofile},accumulo"
/>
-    <conf name="hadoop260" visibility="private"
-      extends="common,runtime,avro,hbase${hbaseprofile},hcatalog${hcatprofile},accumulo"
/>
 
     <conf name="test" visibility="private" extends="common,runtime"/>
-    <conf name="hadoop23test" visibility="private" extends="test,hadoop23" />
-    <conf name="hadoop20test" visibility="private" extends="test,hadoop20" />
-    <conf name="hadoop100test" visibility="private" extends="test,hadoop100" />
-    <conf name="hadoop200test" visibility="private" extends="test,hadoop200" />
-    <conf name="hadoop210test" visibility="private" extends="test,hadoop210" />
-    <conf name="hadoop260test" visibility="private" extends="test,hadoop260" />
 
     <!-- We don't redistribute everything we depend on (e.g., Hadoop itself);
          anything which Hadoop itself also depends on, we do not ship.
@@ -88,105 +61,25 @@ under the License.
     <artifact conf="master"/>
   </publications>
   <dependencies>
-    <!-- Dependencies for Hadoop 2.1.0 -->
-    <dependency org="org.apache.hadoop" name="hadoop-common"
-      rev="${hadoop.version}" conf="hadoop210->default">
-      <artifact name="hadoop-common" type="jar" />
-      <artifact name="hadoop-common" type="jar" m:classifier="tests"/>
-    </dependency>
-    <dependency org="org.apache.hadoop" name="hadoop-hdfs"
-      rev="${hadoop.version}" conf="hadoop210->default">
-      <artifact name="hadoop-hdfs" type="jar" />
-      <artifact name="hadoop-hdfs" type="jar" m:classifier="tests"/>
-    </dependency>
-    <dependency org="org.apache.hadoop" name="hadoop-mapreduce-client-common"
-      rev="${hadoop.version}" conf="hadoop210->default"/>
-    <dependency org="org.apache.hadoop" name="hadoop-mapreduce-client-core"
-      rev="${hadoop.version}" conf="hadoop210->default"/>
-    <dependency org="org.aspectj" name="aspectjtools" rev="${aspectj.version}"
-      conf="hadoop210->default"/>
-    <dependency org="org.aspectj" name="aspectjrt" rev="${aspectj.version}"
-      conf="hadoop210->default"/>
-
     <!-- Dependencies for Hadoop 2.6.0 -->
     <dependency org="org.apache.hadoop" name="hadoop-common"
-      rev="${hadoop.version}" conf="hadoop260->default">
+      rev="${hadoop.version}" conf="common->default">
       <artifact name="hadoop-common" type="jar" />
       <artifact name="hadoop-common" type="jar" m:classifier="tests"/>
     </dependency>
     <dependency org="org.apache.hadoop" name="hadoop-hdfs"
-      rev="${hadoop.version}" conf="hadoop260->default">
+      rev="${hadoop.version}" conf="common->default">
       <artifact name="hadoop-hdfs" type="jar" />
       <artifact name="hadoop-hdfs" type="jar" m:classifier="tests"/>
     </dependency>
     <dependency org="org.apache.hadoop" name="hadoop-mapreduce-client-common"
-      rev="${hadoop.version}" conf="hadoop260->default"/>
+      rev="${hadoop.version}" conf="common->default"/>
     <dependency org="org.apache.hadoop" name="hadoop-mapreduce-client-core"
-      rev="${hadoop.version}" conf="hadoop260->default"/>
+      rev="${hadoop.version}" conf="common->default"/>
     <dependency org="org.aspectj" name="aspectjtools" rev="${aspectj.version}"
-      conf="hadoop260->default"/>
+      conf="common->default"/>
     <dependency org="org.aspectj" name="aspectjrt" rev="${aspectj.version}"
-      conf="hadoop260->default"/>
-
-    <!-- Dependencies for Hadoop 2.0.0 -->
-    <dependency org="org.apache.hadoop" name="hadoop-common"
-      rev="${hadoop.version}" conf="hadoop200->default">
-      <artifact name="hadoop-common" type="jar" />
-      <artifact name="hadoop-common" type="jar" m:classifier="tests"/>
-    </dependency>
-    <dependency org="org.apache.hadoop" name="hadoop-hdfs"
-      rev="${hadoop.version}" conf="hadoop200->default">
-      <artifact name="hadoop-hdfs" type="jar" />
-      <artifact name="hadoop-hdfs" type="jar" m:classifier="tests"/>
-    </dependency>
-    <dependency org="org.apache.hadoop" name="hadoop-mapreduce-client-common"
-      rev="${hadoop.version}" conf="hadoop200->default"/>
-    <dependency org="org.apache.hadoop" name="hadoop-mapreduce-client-core"
-      rev="${hadoop.version}" conf="hadoop200->default"/>
-    <dependency org="org.aspectj" name="aspectjtools" rev="${aspectj.version}"
-      conf="hadoop200->default"/>
-    <dependency org="org.aspectj" name="aspectjrt" rev="${aspectj.version}"
-      conf="hadoop200->default"/>
-
-    <!-- Dependencies for Hadoop 0.23 -->
-    <dependency org="org.apache.hadoop" name="hadoop-common"
-      rev="${hadoop.version}" conf="hadoop23->default">
-      <artifact name="hadoop-common" type="jar" />
-      <artifact name="hadoop-common" type="jar" m:classifier="tests"/>
-    </dependency>
-    <dependency org="org.apache.hadoop" name="hadoop-hdfs"
-      rev="${hadoop.version}" conf="hadoop23->default">
-      <artifact name="hadoop-hdfs" type="jar" />
-      <artifact name="hadoop-hdfs" type="jar" m:classifier="tests"/>
-    </dependency>
-    <dependency org="org.apache.hadoop" name="hadoop-mapreduce-client-common"
-      rev="${hadoop.version}" conf="hadoop23->default"/>
-    <dependency org="org.apache.hadoop" name="hadoop-mapreduce-client-core"
-      rev="${hadoop.version}" conf="hadoop23->default"/>
-    <dependency org="org.aspectj" name="aspectjtools" rev="${aspectj.version}"
-      conf="hadoop23->default"/>
-    <dependency org="org.aspectj" name="aspectjrt" rev="${aspectj.version}"
-      conf="hadoop23->default"/>
-
-    <!-- Dependencies for Hadoop 1.0.0 -->
-    <dependency org="org.apache.hadoop" name="hadoop-core"
-      rev="${hadoop.version}" conf="hadoop100->default"/>
-    <dependency org="org.apache.hadoop" name="hadoop-test"
-      rev="${hadoop.version}" conf="hadoop100test->default"/>
-    <dependency org="org.aspectj" name="aspectjtools" rev="${aspectj.version}"
-      conf="hadoop100->default"/>
-    <dependency org="org.aspectj" name="aspectjrt" rev="${aspectj.version}"
-      conf="hadoop100->default"/>
-
-    <!-- Dependencies for Hadoop 0.20 -->
-    <dependency org="org.apache.hadoop" name="hadoop-core"
-      rev="${hadoop.version}" conf="hadoop20->default"/>
-    <dependency org="org.apache.hadoop" name="hadoop-test"
-      rev="${hadoop.version}" conf="hadoop20test->default"/>
-    <dependency org="org.aspectj" name="aspectjtools" rev="${aspectj.version}"
-      conf="hadoop20->default"/>
-    <dependency org="org.aspectj" name="aspectjrt" rev="${aspectj.version}"
-      conf="hadoop20->default"/>
+      conf="common->default"/>
 
     <!-- Common dependencies for Sqoop -->
     <dependency org="commons-cli" name="commons-cli"
@@ -213,10 +106,13 @@ under the License.
     <dependency org="org.apache.commons" name="commons-lang3" rev="${commons-lang3.version}"
       conf="common->default;redist->default"/>
     <dependency org="org.kitesdk" name="kite-data-mapreduce" rev="${kite-data.version}"
-      conf="avro->default;redist->default"/>
+      conf="common->default;redist->default">
+      <exclude org="org.apache.avro" module="avro" />
+      </dependency>
     <dependency org="org.kitesdk" name="kite-data-hive" rev="${kite-data.version}"
-      conf="avro->default;redist->default">
+      conf="common->default;redist->default">
       <exclude org="com.twitter" module="parquet-hive-bundle"/>
+      <exclude org="org.apache.avro" module="avro" />
     </dependency>
 
     <!-- dependencies for static analysis -->
@@ -232,27 +128,14 @@ under the License.
 
     <!-- Accumulo 1.5.0 -->
     <dependency org="org.apache.accumulo" name="accumulo-core" rev="${accumulo.version}"
-                conf="accumulo->default">
+                conf="common->default">
     </dependency>
     <dependency org="org.apache.accumulo" name="accumulo-minicluster" rev="${accumulo.version}"
-                conf="accumulo->default">
-    </dependency>
-
-    <!-- HBase 0.94 -->
-    <dependency org="org.apache.hbase" name="hbase" rev="${hbase94.version}" conf="hbase94->default">
-      <artifact name="hbase" type="jar"/>
-      <artifact name="hbase" type="test-jar" ext="jar" m:classifier="tests"/>
-      <exclude org="com.sun.jersey" module="jersey-core"/>
-      <exclude org="com.sun.jersey" module="jersey-json"/>
-      <exclude org="com.sun.jersey" module="jersey-server"/>
-      <exclude org="org.apache.thrift" module="thrift"/>
-      <exclude org="log4j" module="log4j"/>
-      <exclude org="org.apache.hadoop" module="hadoop-core" />
-      <exclude org="com.cloudera.cdh" module="zookeeper-ant" />
+                conf="common->default">
     </dependency>
 
     <!-- HBase 0.95 -->
-    <dependency org="org.apache.hbase" name="hbase-client" rev="${hbase95.version}" conf="hbase95->default">
+    <dependency org="org.apache.hbase" name="hbase-client" rev="${hbase.version}" conf="common->default">
       <artifact name="hbase-client" type="jar"/>
       <artifact name="hbase-client" type="test-jar" ext="jar" m:classifier="tests"/>
       <exclude org="com.sun.jersey" module="jersey-core"/>
@@ -261,25 +144,25 @@ under the License.
       <exclude org="org.apache.thrift" module="thrift"/>
       <exclude org="log4j" module="log4j"/>
     </dependency>
-    <dependency org="org.apache.hbase" name="hbase-common" rev="${hbase95.version}" conf="hbase95->default">
+    <dependency org="org.apache.hbase" name="hbase-common" rev="${hbase.version}" conf="common->default">
       <artifact name="hbase-common" type="jar"/>
-      <artifact name="hbase-common" type="test-jar" ext="jar" m:classifier="tests"/>
+      <artifact name="hbase-common" type="jar" ext="jar" m:classifier="tests"/>
       <exclude org="com.sun.jersey" module="jersey-core"/>
       <exclude org="com.sun.jersey" module="jersey-json"/>
       <exclude org="com.sun.jersey" module="jersey-server"/>
       <exclude org="org.apache.thrift" module="thrift"/>
       <exclude org="log4j" module="log4j"/>
     </dependency>
-    <dependency org="org.apache.hbase" name="hbase-server" rev="${hbase95.version}" conf="hbase95->default">
+    <dependency org="org.apache.hbase" name="hbase-server" rev="${hbase.version}" conf="common->default">
       <artifact name="hbase-server" type="jar"/>
-      <artifact name="hbase-server" type="test-jar" ext="jar" m:classifier="tests"/>
+      <artifact name="hbase-server" type="jar" ext="jar" m:classifier="tests"/>
       <exclude org="com.sun.jersey" module="jersey-core"/>
       <exclude org="com.sun.jersey" module="jersey-json"/>
       <exclude org="com.sun.jersey" module="jersey-server"/>
       <exclude org="org.apache.thrift" module="thrift"/>
       <exclude org="log4j" module="log4j"/>
     </dependency>
-    <dependency org="org.apache.hbase" name="hbase-hadoop-compat" rev="${hbase95.version}"
conf="hbase95->default">
+    <dependency org="org.apache.hbase" name="hbase-hadoop-compat" rev="${hbase.version}"
conf="common->default">
       <artifact name="hbase-hadoop-compat" type="jar"/>
       <artifact name="hbase-hadoop-compat" type="test-jar" ext="jar" m:classifier="tests"/>
       <exclude org="com.sun.jersey" module="jersey-core"/>
@@ -288,7 +171,7 @@ under the License.
       <exclude org="org.apache.thrift" module="thrift"/>
       <exclude org="log4j" module="log4j"/>
     </dependency>
-    <dependency org="org.apache.hbase" name="hbase-hadoop-compat" rev="${hbase95.version}"
conf="hbase95->default">
+    <dependency org="org.apache.hbase" name="hbase-hadoop-compat" rev="${hbase.version}"
conf="common->default">
       <artifact name="hbase-hadoop-compat" type="jar"/>
       <artifact name="hbase-hadoop-compat" type="test-jar" ext="jar" m:classifier="tests"/>
       <exclude org="com.sun.jersey" module="jersey-core"/>
@@ -297,16 +180,7 @@ under the License.
       <exclude org="org.apache.thrift" module="thrift"/>
       <exclude org="log4j" module="log4j"/>
     </dependency>
-    <dependency org="org.apache.hbase" name="hbase-hadoop1-compat" rev="${hbase95.version}"
conf="hbasecompat1->default">
-      <artifact name="hbase-hadoop1-compat" type="jar"/>
-      <artifact name="hbase-hadoop1-compat" type="test-jar" ext="jar" m:classifier="tests"/>
-      <exclude org="com.sun.jersey" module="jersey-core"/>
-      <exclude org="com.sun.jersey" module="jersey-json"/>
-      <exclude org="com.sun.jersey" module="jersey-server"/>
-      <exclude org="org.apache.thrift" module="thrift"/>
-      <exclude org="log4j" module="log4j"/>
-    </dependency>
-    <dependency org="org.apache.hbase" name="hbase-hadoop2-compat" rev="${hbase95.version}"
conf="hbasecompat2->default">
+    <dependency org="org.apache.hbase" name="hbase-hadoop2-compat" rev="${hbase.version}"
conf="common->default">
       <artifact name="hbase-hadoop2-compat" type="jar"/>
       <artifact name="hbase-hadoop2-compat" type="test-jar" ext="jar" m:classifier="tests"/>
       <exclude org="com.sun.jersey" module="jersey-core"/>
@@ -314,12 +188,13 @@ under the License.
       <exclude org="com.sun.jersey" module="jersey-server"/>
       <exclude org="org.apache.thrift" module="thrift"/>
       <exclude org="log4j" module="log4j"/>
+      <exclude org="org.apache.avro" module="avro" />
     </dependency>
 
-
     <dependency org="org.apache.hive.hcatalog" name="hive-hcatalog-core"
-      rev="${hcatalog.version}" conf="hcatalog13->default">
+      rev="${hcatalog.version}" conf="common->default">
       <artifact name="hive-hcatalog-core" type="jar"/>
+      <exclude org="org.apache.avro" module="avro" />
     </dependency>
 
     <dependency org="org.postgresql" name="postgresql"
@@ -331,21 +206,14 @@ under the License.
     </dependency>
 
     <dependency org="org.apache.avro" name="avro" rev="${avro.version}"
-      conf="avro->default;redist->default">
-      <exclude org="org.slf4j" module="slf4j-api"/>
-      <exclude org="org.mortbay.jetty" module="jetty"/>
-      <exclude org="org.jboss.netty" module="netty"/>
-      <exclude org="org.apache.velocity" module="velocity"/>
-    </dependency>
-    <dependency org="org.apache.avro" name="avro-mapred" rev="${avro.version}"
-      m:classifier="hadoop1" conf="avrohadoop1->default;redist->default">
+      conf="runtime->default;redist->default">
       <exclude org="org.slf4j" module="slf4j-api"/>
       <exclude org="org.mortbay.jetty" module="jetty"/>
       <exclude org="org.jboss.netty" module="netty"/>
       <exclude org="org.apache.velocity" module="velocity"/>
     </dependency>
     <dependency org="org.apache.avro" name="avro-mapred" rev="${avro.version}"
-      m:classifier="hadoop2" conf="avrohadoop2->default;redist->default">
+      m:classifier="hadoop2" conf="common->default;redist->default">
       <exclude org="org.slf4j" module="slf4j-api"/>
       <exclude org="org.mortbay.jetty" module="jetty"/>
       <exclude org="org.jboss.netty" module="netty"/>

http://git-wip-us.apache.org/repos/asf/sqoop/blob/44e05df2/ivy/ivysettings.xml
----------------------------------------------------------------------
diff --git a/ivy/ivysettings.xml b/ivy/ivysettings.xml
index ac16b45..f0383c3 100644
--- a/ivy/ivysettings.xml
+++ b/ivy/ivysettings.xml
@@ -64,7 +64,8 @@ under the License.
         m2compatible="true" checkmodified="true" changingPattern=".*SNAPSHOT"/>
     <ibiblio name="cloudera-staging" root="${staging.cloudera.com}"
         m2compatible="true" checkmodified="true" changingPattern=".*SNAPSHOT"/>
-
+     <!--Conjars had to be added due to hive's dependency on calcite, which depends on
pentaho-aggdesigner-algorithm;5.1.5-jhyde, which is only available in conjars and spring plugins
repo -->
+     <ibiblio name="conjars" m2compatible="true" root="http://conjars.org/repo/"/>
     <filesystem name="fs" m2compatible="true">
        <artifact pattern="${repo.dir}/[organisation]/[module]/[revision]/[module]-[revision](-[classifier]).[ext]"/>
        <ivy pattern="${repo.dir}/[organisation]/[module]/[revision]/[module]-[revision].pom"/>
@@ -84,6 +85,7 @@ under the License.
       <resolver ref="cloudera-releases"/>
       <resolver ref="cloudera-staging"/>
       <resolver ref="maven2"/>
+      <resolver ref="conjars"/>
     </chain>
 
     <chain name="internal" dual="true">
@@ -93,10 +95,12 @@ under the License.
       <resolver ref="datanucleus"/>
       <resolver ref="cloudera-staging"/>
       <resolver ref="maven2"/>
+      <resolver ref="conjars"/>
     </chain>
 
     <chain name="external">
       <resolver ref="maven2"/>
+      <resolver ref="conjars"/>
     </chain>
 
   </resolvers>

http://git-wip-us.apache.org/repos/asf/sqoop/blob/44e05df2/ivy/libraries.properties
----------------------------------------------------------------------
diff --git a/ivy/libraries.properties b/ivy/libraries.properties
index 8e14624..e2c2516 100644
--- a/ivy/libraries.properties
+++ b/ivy/libraries.properties
@@ -18,7 +18,7 @@
 # This properties file lists the versions of the various artifacts we use.
 # It drives ivy and the generation of a maven POM
 
-avro.version=1.8.0
+avro.version=1.8.1
 
 kite-data.version=1.0.0
 
@@ -50,3 +50,10 @@ rats-lib.version=0.5.1
 aspectj.version=1.6.11
 
 postgresql.version=9.2-1003-jdbc4
+accumulo.version=1.6.2
+
+slf4j.version=1.7.7
+
+hadoop.version=2.6.0
+hbase.version=1.2.4
+hcatalog.version=1.2.1


Mime
View raw message